FreeMat

- Main Page
- Related Pages

vtkImageDivergence

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageDivergence takes a 3D vector field and creates a scalar field which which represents the rate of change of the vector field. The definition of Divergence: Given V = P(x,y,z), Q(x,y,z), R(x,y,z), Divergence = dP/dx + dQ/dy + dR/dz.

To create an instance of class vtkImageDivergence, simply invoke its constructor as follows

      obj = vtkImageDivergence

# Methods

The class vtkImageDivergence has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageDivergence class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageDivergence = obj.NewInstance ()`
- `vtkImageDivergence = obj.SafeDownCast (vtkObject o)`